<!--
  - OpenCraft -- tools to aid developing and hosting free software projects
  - Copyright (C) 2017-2021 OpenCraft <contact@opencraft.com>
  -
  - This program is free software: you can redistribute it and/or modify
  - it under the terms of the GNU Affero General Public License as
  - published by the Free Software Foundation, either version 3 of the
  - License, or (at your option) any later version.
  -
  - This program is distributed in the hope that it will be useful,
  - but WITHOUT ANY WARRANTY; without even the implied warranty of
  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  - GNU Affero General Public License for more details.
  -
  - You should have received a copy of the GNU Affero General Public License
  - along with this program.  If not, see <http://www.gnu.org/licenses/>.
  -
-->

{% load static %}

<!DOCTYPE html>
<html lang="en">
  <head>
    <base href="{{ site.domain }}">
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" type="text/css" href="{% static 'vendor/css/bootstrap.min.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'default/css/default.css' %}"/>
  </head>
  <body>
    <div class="container">
      <div class="invoice">
        <header>
          <div class="row">
            <div class="col-xs-6">
              <h1><strong>{{ client_name }}</strong></h1>
            </div>
            <div id="invoice-metadata" class="col-xs-6">
              <span id="invoice-billing-dates">Report for {{ from_date }} to {{ to_date }}</span><br>
            </div>
          </div>
        </header>

        <main>
          <table id="line-items" class="table table-striped table-condensed" cellpadding="0" cellspacing="0">
            <tr>
              <th scope="col" class="column column-key">Key</th>
              <th scope="col" class="column column-account">Account</th>
              <th scope="col" class="column column-name">Summary</th>
              <th scope="col" class="column column-quantity">Hours</th>
            </tr>

            <tbody>
              {% for account in accounts %}
                <tr class="item">
                  <th scope="row" class="column column-key">{{ account.account_name }}</th>
                  <td class="column column-account"></td>
                  <td class="column column-name"></td>
                  <th class="column column-quantity">{{ account.total_hours|floatformat:2 }}</th>
                </tr>
                {% for ticket in account.tickets %}
                  <tr class="item">
                    <th scope="row" class="column column-key">{{ ticket.key }}</th>
                    <td class="column column-account">{{ account.account_name }}</td>
                    <td class="column column-name">{{ ticket.summary }}</td>
                    <td class="column column-quantity">{{ ticket.hours|floatformat:2 }}</td>
                  </tr>
                {% endfor %}
              {% endfor %}
            </tbody>

            <tr class="total">
              <th class="column column-key column-key">Total Hours</th>
              <td class="column column-account"></td>
              <td class="column column-name"></td>
              <th class="column column-quantity">{{ total_hours|floatformat:2 }}</th>
            </tr>
          </table>
        </main>

        <footer>
          <div class="row">
            <div id="extra-image" class="col-xs-12">
            </div>
          </div>
        </footer>
      </div>
    </div>
  </body>
</html>
